import React from 'react'
import PropTypes from 'prop-types'
import cx from 'classnames'
import StyledButton from './styledButton'

class Button extends React.Component {

  constructor(props) {
    super(props)
  }

  _onClick = () => {
    this.button.blur()
    this.props.onClick()
  }

  render() {
    return (
      <StyledButton
        innerRef={(node) => this.button = node}
        className={cx(this.props.className, this.props.type)}
        width={this.props.width}
        height={this.props.height}
        onClick={this._onClick}
        disabled={this.props.disabled}
      >
        {this.props.value}
      </StyledButton>
    );
  }
}

Button.propTypes = {
  disabled: PropTypes.bool,
  onClick: PropTypes.func.isRequired,
  className: PropTypes.string,
  height: PropTypes.string,
  width: PropTypes.string,
  value: PropTypes.string.isRequired,
  type: PropTypes.oneOf([
    'Primary',
    'Secondary',
    'Danger',
    'Default'
  ]),
}

Button.defaultProps = {
  disabled: false,
  type: 'Default',
  onClick: () => {}
}

export default Button
