import styled from 'styled-components'

const Button = styled.button `
  border: 0;
  outline: 0;
  cursor: pointer;
  width: ${(props) => props.width}px;
  height: ${(props) => props.height}px;
  background-color: transparent;
  font-weight: 600;
  border-radius: 2px;
  transition: background-color 0.1s linear, border-color 0.1s linear;
 
  &:disabled {
    opacity: .5;
    cursor: not-allowed;
  }
      
  &:active {
   padding-top: 4px;
  }
   
  &.Primary {
    color: #ffffff;
    background-color: #2870b2;
    
    &:hover {
      background-color: #6197c6;
    }
    
    &:active {
      background-color: #2870b2;
      box-shadow: inset 0 1px 3px 0 #073050;
    }
  }
  
  &.Secondary {
    color: #2870b2;
    background-color: #e7f0f7;
    border: solid 1px #afcef3;
    
    &:hover {
      background-color: #e7f0f7;
      border: solid 1px #5596c8;
    }
    
    &:active {
      background-color: #e7f0f7;
      box-shadow: inset 0 1px 3px 0 rgba(16, 68, 112, 0.3);
      border: solid 1px #afcef3;
    }
  }
  
  &.Default {
    color: #496072;
    background-color: #ffffff;
    border: solid 1px #c5d0e1;
    
    &:hover {
      background-color: #ffffff;
      border: solid 1px #95a3b7;
    }
    
    &:active {
      box-shadow: inset 0 1px 3px 0 rgba(149, 163, 183, 0.8);
      border: solid 1px rgba(197, 208, 225, 0.2);
    }
  }
  
  &.Danger {
    color: #ffffff;
    background-color: #ed393d;
    
    &:hover {
      background-color: #fb8486;
    }
    
    &:active {
      background-color: #ec393d;
      box-shadow: inset 0 1px 3px 0 #610d12;
    }
  }
`

Button.defaultProps = {
  width: 165,
  height: 40,
}

export default Button
